engine(6)

NAME
engine - draws a 3D four-stroke engine.

SYNOPSIS
engine [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--engine name] [--delay number] [--no-move] [--no-spin] [--no-title] [--fps]

DESCRIPTION
Draws a simple four-stroke engine that floats around the screen.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--engine name
    What kind of engine to draw. Default: random. Known models are: "Honda Insight" (3), "BMW M3" (4), "VW Beetle" (flat 4), "Audi Quattro" (5), "BMW M5" (6), "Subaru XT" (V6), "Porsche 911" (flat 6), "Corvette Z06" (V8), "Dodge Viper" (V10), and "Jaguar XKE" (V12).

--delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

--move | --no-move
    Whether the object should wander around the screen.

--spin | --no-spin
    Whether the object should spin.

--fps
    Display the current frame rate, CPU load, and polygon count.

--title | --no-title
    Whether to display the name of the engine being rendered.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Ben Buxton. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Ben Buxton.